/*
  Project: 1.8" TFT LCD module
  Function: This example demonstrates how to draw text on the
  TFT with an Arduino. 
*/
//************************************************
#include <TFT.h>  //include library code
#include <SPI.h>  //include library code
//************************************************
#define cs   10
#define dc   9
#define rst  8

// create an instance of the library
TFT TFTscreen = TFT(cs, dc, rst);

// char array to print to the screen
char sensorPrintout[4];

void setup() {

  //initialize the library
  TFTscreen.begin();

  // clear the screen with a black background
  TFTscreen.background(0, 0, 0);//TFTscreen.background(r, g, b);In which, r, g and b are the RGB values for a given color

  // set the font size
  TFTscreen.setTextSize(2); 
}

void loop() {
 //generate a random color
  int redRandom = random(0, 255);
  int greenRandom = random (0, 255);
  int blueRandom = random (0, 255);
  
  // set a random font color
  TFTscreen.stroke(redRandom, greenRandom, blueRandom);
  
  // write the text in the middle of the screen
  TFTscreen.text("Acoptex.com", 6, 57);
  
  // wait 250 miliseconds until change to next color
  delay(250);
}

